aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-04-30 14:39:27 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-04-30 14:39:27 +0300
commit79ea46de97e7e80f56fd725b34be589056922edd (patch)
tree8cc135b8dfb0c458fd94fa6ee14225fcb0eb57da
parent361eec6f95d31570c77b98f5405efe508592eadd (diff)
lower the minimum required zsh version to 5.1
-rw-r--r--README.md5
-rwxr-xr-xpowerlevel9k.zsh-theme6
2 files changed, 7 insertions, 4 deletions
diff --git a/README.md b/README.md
index 1ea338a6..d529a14a 100644
--- a/README.md
+++ b/README.md
@@ -314,4 +314,7 @@ This method of installation won't make anything slower or otherwise sub-par.
### What is the minimum supported zsh version?
-Anything below 5.2 definitely won't work. 5.4 definitely will.
+ZSH 5.1 or newer should work.
+
+However, there are too many version, OS, platform, terminal and option configurations to test. If
+Powerlevel10k doesn't work for you, please open an issue.
diff --git a/powerlevel9k.zsh-theme b/powerlevel9k.zsh-theme
index 242c8cc9..ddc411a8 100755
--- a/powerlevel9k.zsh-theme
+++ b/powerlevel9k.zsh-theme
@@ -26,9 +26,9 @@ if test -z "${ZSH_VERSION}"; then
exit 1
fi
-if ! autoload -U is-at-least || ! is-at-least 5.2; then
+if ! autoload -U is-at-least || ! is-at-least 5.1; then
() {
- >&2 echo -E "You are using ZSH version $ZSH_VERSION. The minimum required version for Powerlevel10k is 5.2."
+ >&2 echo -E "You are using ZSH version $ZSH_VERSION. The minimum required version for Powerlevel10k is 5.1."
>&2 echo -E "Type 'echo \$ZSH_VERSION' to see your current zsh version."
local def=${SHELL:c:A}
local cur=${${ZSH_ARGZERO#-}:c:A}
@@ -37,7 +37,7 @@ if ! autoload -U is-at-least || ! is-at-least 5.2; then
>&2 echo -E "The shell you are currently running is likely $cur."
fi
local other=${${:-zsh}:c}
- if [[ -n $other ]] && $other -c 'autoload -U is-at-least && is-at-least 5.2' &>/dev/null; then
+ if [[ -n $other ]] && $other -c 'autoload -U is-at-least && is-at-least 5.1' &>/dev/null; then
local other_v=$($other -c 'echo -E $ZSH_VERSION' 2>/dev/null)
if [[ -n $other_v && $other_v != $ZSH_VERSION ]]; then
>&2 echo -E "You have $other with version $other_v but this is not what you are using."